package com.dayou.service;
import com.dayou.dto.OrderReportDTO;
import com.dayou.dto.WareHouseDTO;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.BusinessReply;
import com.dayou.entity.Message;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.enums.MainBusinessEnum;
import com.dayou.message.bo.BusinessMessageBO;
import com.dayou.vo.ItemVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 消息 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-06-30
 */
public interface IMessageService extends IService<Message> {


    Boolean packagingBusinessMessage(BusinessReply messageBO);

    Boolean packagingSettleMessage(Set<Long> userIds);

    Boolean packagingMajorDeclareRemind(Long declareId);

    List<Message> messageRedPoint();

    Boolean updateRead(Long id);

    void packagingEvaluateRemind(List<ItemVO> completedNotEvaluateItem);

    Boolean allRead();

    void packagingMajorOutRepertoryRemind(WareHouseDTO wareHouseDTO);

    void packagingMajorAllotCommissionRemind(List<OrderReportDTO> list);

    void packagingMajorAllotCommissionRemind1(OrderReportDTO orderReportDTO);

    void packagingNodeTodoReminder(WorkNodeCommit commit);

    void sendWebSocket();
}
